﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsAPICodePack.Shell;
using Microsoft.WindowsAPICodePack.Taskbar;
using Microsoft.WindowsAPICodePack.Dialogs;

namespace TaskbarControls
{
    public partial class Form1 : Form
    {
        private TaskbarManager windowsTaskbar = TaskbarManager.Instance;
        private ThumbnailToolbarButton buttonPause; 
        public Form1()
        {
            InitializeComponent();

            buttonPause = new ThumbnailToolbarButton(Properties.Resources.Pause_Disabled, "Pause");
            buttonPause.Click += new EventHandler<ThumbnailButtonClickedEventArgs>(Pause_btn_Click);

            if (TaskbarManager.IsPlatformSupported)
                windowsTaskbar.ThumbnailToolbars.AddButtons(this.Handle, buttonPause);
            else
            {
                MessageBox.Show("This Demo requires Windows 7 to run", "Platform not supported", MessageBoxButtons.OK, MessageBoxIcon.Error);
                Application.Exit();
            }

        }

        private void Pause_btn_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Taskbar Button Clicked!");
        }
    }
}
